# ConfigIncluderURL
Date: 2020-10-22

com.typesafe.config

## Interface ConfigIncluderURL

    public interface ConfigIncluderURL

Implement this in addition to `ConfigIncluder` if you want to support inclusion of files with the `include url("http://example.com")` syntax. If you do not implement this but do implement `ConfigIncluder`, attempts to load URLs will use the default includer.

### Method Summary

All Methods Instance Methods Abstract Methods
`ConfigObject` `includeURL(ConfigIncludeContext context, java.net.URL what)` Parses another item to be included.

### Method Detail

#### includeURL

    includeURL(ConfigIncludeContext context,
                            java.net.URL what)

Parses another item to be included. The returned object typically would not have substitutions resolved. You can throw a ConfigException here to abort parsing, or return an empty object, but may not return null.

Parameters:
  `context` - some info about the include context
  `what` - the include statement's argument
Returns:
  a non-null ConfigObject